# uctenkovkapy

API client for Uctenkovka - without using their official API (you have to sign up for that one - a long process mainly for companies)


## Usage

### Script for JSON

`Usage: uctenkovka.py <FILE> [-m|--multiple-accounts]`

The JSON file always has to have a list in root, for example:

```json
[
    {
        "code": "01234567-89abcdef", 
        "date": "2019-12-31",
        "time": "15:10",
        "amount": "80049",
        "simple_mode": true,
        "multi": "tesko"
    },
    {
        "code": "abcdefgh-0123-4567", 
        "date": "2023-01-13",
        "time": "23:50",
        "amount": "5400",
        "multi": "caufland"
    }
]
```

- Multiple accounts = will sort the receipts based on the "multi" tag onto
multiple accounts

### Python module

```python
import uctenkovkapy
import clius

log = clius.logger.Logger('Test file')

log.notice('Connecting...')
session = uctenkovkapy.Session('username@example.com', '53cr3tP445w0rd!')

r = session.register('01234567-89abcdef',
                     '2019-12-31',
                     '15:10',
                     '80049',
                     simple_mode=True)

if r >= 200 and r < 300:
    log.warning('Success!')
else:
    log.alert('Something went wrong: status code {}.'.format(r))
```


## Installation

```pip3 install --user uctenkovkapy```
