from setuptools import setup

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='uctenkovkapy',
    version='0.1.5',
    packages=['uctenkovkapy'],
    url='https://gitlab.com/jsmetana/uctenkovkapy',
    license='gpl3.0-or-later',
    author='Jakub Smetana',
    author_email='jakub.smetana@protonmail.com',
    description='API client for Uctenkovka - without using their official API',
    long_description=long_description,
    long_description_content_type="text/markdown",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "Operating System :: OS Independent",
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: Information Technology",
        "Intended Audience :: End Users/Desktop"
    ],
    scripts=[
        'uctenkovka.py'
    ],
    install_requires=[
        'clius',
        'requests'
    ]
)



